Update a staff member role
Partial update: only the fields sent change.
Path Parameters
- Type: stringFormat: uuididrequired
Staff member role id.
Body·
required
application/json
Any subset of writable fields. At least one is required. Unknown or read-only fields are rejected.
- Type: number | nullcall
Order - Type: string | nulllabel
- Type: string | nullFormat: uuidrole
Id References roles.id.
- Type: string | nullFormat: uuidstaff
Member Id References staffMembers.id.
- Type: string | nullenumstatus
Active capabilities staff first; bench is the reserve pool; inactive is retired.
valuesinactivebenchactivenull
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for patch/staff-member-roles/{id}
curl https://api.weddingoperatingsystems.com/api/v1/staff-member-roles/123e4567-e89b-12d3-a456-426614174000 \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"label": null,
"status": "inactive",
"callOrder": null,
"roleId": null,
"staffMemberId": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"label": null,
"status": "inactive",
"callOrder": null,
"roleId": null,
"staffMemberId": null,
"createdTime": "2026-09-30T06:22:05.753Z",
"lastEditedTime": "2026-09-30T06:22:05.753Z"
}
}